Bug 1063047 - Review Request: rubygem-em-websocket-client - A WebSocket client implementation for EventMachine
Review Request: rubygem-em-websocket-client - A WebSocket client implementati...
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Mo Morsi
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-NEEDSPONSOR
  Show dependency treegraph
 
Reported: 2014-02-09 13:04 EST by Nitesh Narayan Lal
Modified: 2014-03-16 08:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nitesh Narayan Lal 2014-02-09 13:04:30 EST
Spec URL: http://niteshnarayan.fedorapeople.org/SPECS/rubygem-em-websocket-client-0.1.2.spec
SRPM URL: http://niteshnarayan.fedorapeople.org/SRPMS/rubygem-em-websocket-client-0.1.2-1.fc19.src.rpm
Description: A WebSocket client implementation for EventMachine
Fedora Account System Username:
niteshnarayan
Comment 1 Mo Morsi 2014-02-21 08:37:05 EST
Hey Nitesh, some comments (similar to em-socksify)

- Gemfile, README, Rakefile, gemspec files should be marked as %doc

- Please rm the .document and .rspec files at some point during the build process

- Build fails again since you use rspec and assumably eventmachine is needed to run the test suite, yet neither are listed as Build Requirements on the package.

- Consider removing the extraneous whitespace / blank lines.

If you could fix these & successfully build the package via koji I'll give you the official review. Additionally if rspec / eventmachine are BuildRequirements for the other packages you submitted (noticed it was the case for eventmachine_httpserver as well) but aren't listed in the specs, please add them so as to tackle this issue across them all.

Thanks
Comment 3 Mo Morsi 2014-03-02 06:45:03 EST
Hey Nitesh some more comments:

- Please rename the spec to 'rubygem-em-websocket-client.spec' so fedora-review will pick it up

- The rspec command in the %check section should be "rspec -Ilib spec"

- The .document and .rspec %files should be rm'd or %excluded

- Marking files under "%files doc" as %doc is a bit redundant, though don't believe this is a blocker

- again "Updated as per the comments" in your changelog entry is a bit ambiguous, perhaps some like "updated to comply w/ Fedora guidelines" would be more direct
Comment 4 Nitesh Narayan Lal 2014-03-08 13:41:08 EST
Hi, 
I had updated the SPECS, thanks for holding on with this and helping.
SPEC:http://niteshnarayan.fedorapeople.org/SPECS/rubygem-em-websocket-client.spec
SRPMS:niteshnarayan.fedorapeople.org/SRPMS/rubygem-websocket-1.1.2-2.fc20.src.rpm
Comment 5 Mo Morsi 2014-03-13 11:25:30 EDT
Hey nitesh, few more things

- You need to include the full url to the spec and srpm in your comment for the fedora-review tool to pick it up (eg the srpm is missing 'http://'

- Please rm, exclude, or mark the following files as %doc: Gemfile, Rakefile, websocket.spec

- The package should have a copy of the MIT license, see https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text

- Remember to bump the release / add a new changelog entry before re-uploading. Also wouldn't hurt to put the url of the koji scratch build run w/ the latest version of the package (though not required as the review will run it theirselves)

Thanks
Comment 6 Mo Morsi 2014-03-13 11:31:35 EDT
One additional thing, the 'rubygems' requirements should be 'Requires: rubygems' and not 'Requires: ruby(rubygems)'

http://fedoraproject.org/wiki/Packaging:Ruby#RubyGems

fedora-review will complain otherwise.
Comment 7 Nitesh Narayan Lal 2014-03-16 08:17:11 EDT
Hi,
I had modified the spec as  per the suggestions:
SPEC:http://niteshnarayan.fedorapeople.org/SPECS/rubygem-em-websocket-client.spec
SRPMS:niteshnarayan.fedorapeople.org/SRPMS/rubygem-websocket-1.1.2-3.fc20.src.rpm

Note You need to log in before you can comment on or make changes to this bug.